Last Comment Bug 274506 - Cannot Stop a DNS Lookup
: Cannot Stop a DNS Lookup
Status: RESOLVED WORKSFORME
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Windows XP
: -- normal with 9 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 154816
  Show dependency treegraph
 
Reported: 2004-12-13 14:46 PST by Jerry Baker
Modified: 2012-03-29 02:19 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jerry Baker 2004-12-13 14:46:09 PST
Using Firefox 1.0.

STEP TO REPRODUCE:

1. Enter a non-existent domain into the URL bar (such as might result from hitting 
   ENTER too early while typing in bugzilla.mozilla.org for instance). E.g., 
   "bugz" and press ENTER.
2. Now realize your error and try to stop Firefox from attempting to look up that 
   address.

RESULTS:

You cannot stop Firefox until it errors out.

EXPECTED:

Stop should work during DNS.
Comment 1 Steve McAfee 2006-06-29 06:24:20 PDT
Just wanted to point out a couple of additional points that make this issue more aggregious: 1. DNS activity blocks activity in all open Firefox windows. Very annoying. 2. More common than non-existant domains, is non-reachable domains. This problem can happen frequently for VPN users.
Comment 2 Richard Ems 2006-10-13 02:13:33 PDT
The same is still happening on 1.5.0.7 under Linux.
This bug has been opened for over 2 years !!! 8(

I think that, before relesing 2.0 and thinking about 3.0 (see http://wiki.mozilla.org/Firefox/Feature_Brainstorming) Bugs should be corrected!

This is a very annoying bug I hit almost once a week. Firefox hangs for about a minute, no tab reacts, rendering is blocked!
Comment 3 Jerry Baker 2006-10-13 02:22:49 PDT
You might try your luck over at GNUzilla and the Iceweasel project: http://savannah.gnu.org/projects/gnuzilla/
Comment 4 Carlos Alén Silva 2010-05-28 10:40:51 PDT
This issue seems fixed in Fx 3.6.4.
Comment 5 Marco Castelluccio [:marco] 2011-07-22 04:17:05 PDT
This issue is fixed.

Note You need to log in before you can comment on or make changes to this bug.